Bug 3180 - egcs-c++-1.1.2-13.sparc.rpm conflicts with libstdc++-2.9.0-12
egcs-c++-1.1.2-13.sparc.rpm conflicts with libstdc++-2.9.0-12
Product: Red Hat Linux
Classification: Retired
Component: egcs (Show other bugs)
sparc Linux
low Severity low
: ---
: ---
Assigned To: David Lawrence
Depends On:
  Show dependency treegraph
Reported: 1999-05-31 13:57 EDT by Gilbert E. Detillieux
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 1999-05-31 15:54:44 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gilbert E. Detillieux 1999-05-31 13:57:42 EDT
When trying to upgrade egcs-c++ to the package in the
updates directory, rpm complains as follows:

error: file /usr/lib/libstdc++-2-libc6.1-1-2.9.0.so from
install of egcs-c++-1.1.2-13 conflicts with file from
package libstdc++-2.9.0-12

Further, the previous versions of egcs-c++ and libstdc++
can't easily be removed without breaking a lot of

Is it safe to --force the upgrade to the new egcs-c++
Comment 1 Jeff Johnson 1999-05-31 15:54:59 EDT
Specify both the egcs-c++ and the libstdc++ poackages on the
same command line when installing and you won't have to use --force.

However, there's a bug in rpm-3.0 in handling shared files, so
make sure that you upgrade to rpm-3.0.1 (from ftp.rpm.org).

And if all else fails, just add the --force until the right files
end up in the right places. Installing each package separately
with --force using rpm-3.0 will work ...
Comment 2 Bert de Bruijn 1999-06-07 00:09:59 EDT
One additional remark: The libstdc++ rpm is also built from the egcs
source rpm, so matching versions won't conflict.
But the recent sparc egcs updates didn't include all the binary rpms
that were built from the new egcs source rpm. (apart from libstdc++,
there's also cpp, perhaps some other I missed ?)
I'd say the proper solution would be to add all the binary rpms from
the new egcs source rpm to the updates. (even though some of those
rpms may not have changed).

Note You need to log in before you can comment on or make changes to this bug.